@echo off

rem *******************************************************************************
rem Licensed Materials - Property of IBM
rem (c) Copyright IBM Corporation 2011. All Rights Reserved.
rem 
rem Note to U.S. Government Users Restricted Rights:  
rem Use, duplication or disclosure restricted by GSA ADP Schedule 
rem Contract with IBM Corp. 
rem *******************************************************************************

:: ClearQuest Synchronizer to Bridge Tool Launcher

rem ---------------------------------
rem Launch the sync to bridge tool
rem ---------------------------------
set START_DIR=%~dp0
cd %START_DIR%
set JAVA=%START_DIR%..\jre\bin\java
set CONFIG_PROP=-Dcom.ibm.rational.interop.gateway.configURL=file:///"%cd%\cqconnector.properties"
set LOG_CONFIG=-Dlog4j.configuration=file:///"%cd%\log4j_syncToBridge.properties"
set LAUNCHER=org.eclipse.equinox.launcher_1.1.1.R36x_v20101122_1400.jar
set JAR=%START_DIR%..\synctobridge\plugins\%LAUNCHER%
set APPLICATION=com.ibm.rational.connector.cq.synctobridge.application 
"%JAVA%" -Xmx1024M %CONFIG_PROP% %LOG_CONFIG% -jar "%JAR%" -application %APPLICATION% %*